
.body {
    font-family: 'Roboto', sans-serif;
    color: black;
    background: white;
}

.container {
    width: 1200px;
    margin: 0 auto;
    padding-left: 25px;
    padding-right: 25px;
}

.title {
    margin: 0;
    font-size: 36px;
    letter-spacing: 0.05em;
    line-height: 1.14;
    margin-bottom: 60px;
}
.list { 
    list-style: none;
    margin: 0;
    padding: 0;
}
.text {
    margin: 0;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
}

.center {
    text-align: center;
}

.image { 
    display: block;
    width: 100%;
    height: 300px;
    margin-top: 16px;
    cursor: zoom-in;
}
.item {
    display: flex;
    flex-direction: column;
    flex-grow: 0;
}
.gallery { 
    background: #eee; 
    padding-top: 120px;
    padding-bottom: 120px;
}
.gallery .list { 
    display: flex; 
    flex-wrap: wrap;
    justify-content: center;
    row-gap: 40px;
    column-gap: 20px;
}
.gallery .list .item { 
    width: calc((100% - 20 * 2) / 3);
}

.btn {
    display: inline-block;
    padding: 16px;
    border-radius: 10px;
    background-color: black;
    border: 1px solid orange;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
    color: orange;
    cursor: pointer;

    font-family: inherit;
    font-size: 18px;
    line-height: 1.3;
    letter-spacing: 0.05em;

    margin-top: 16px;
    margin-bottom: 32px;
}

.card {
    width: 350px;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
    border-radius: 10px;
    flex-grow: 1;
    background: rgb(254, 211, 157);
}
.description {
    padding: 32px 16px;
}

.backdrop {
    position: fixed;
    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    background-color: rgba(77, 77, 77, 0.5);
    transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1),
                opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
                visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.backdrop.is-hidden {
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
}

.backdrop.is-hidden .modal {
    transform: translate(-50%, -50%) scale(0.2);
}

.modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    min-height: 800px;
    min-width: 1200px;

    background-color: #fff;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    cursor: zoom-out;

    transform: translate(-50%, -50%) scale(1);
        
    opacity: 1;
    transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1),
                opacity 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.modal::after {
    cursor: zoom-in;
}

.bg-img-01 { background-image: url("../images/img-01.jpg"); }
.bg-img-02 { background-image: url("../images/img-02.jpg"); }
.bg-img-03 { background-image: url("../images/img-03.jpg"); }
.bg-img-04 { background-image: url("../images/img-04.jpg"); }
.bg-img-05 { background-image: url("../images/img-05.jpg"); }
.bg-img-06 { background-image: url("../images/img-06.jpg"); }
.bg-img-07 { background-image: url("../images/img-07.jpg"); }

.btn-modal {
    position: absolute;
    bottom: 0%;
    left: 50%;
    transform: translate(-50%, -50%) scale(1);
        
    opacity: 1;
    transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1),
                opacity 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.footer { 
    padding-top: 30px;
    padding-bottom: 30px;
    background: #999; 
}
